import request from '@/utils/request'

// 查询课程列表
export function listTable(query) {
  return request({
    url: '/course/table/list',
    method: 'get',
    params: query
  })
}

// 首页
export function listTablexg(query) {
  return request({
    url: '/course/table/pc/list',
    method: 'get',
    params: query
  })
}


// 查询课程详细
export function getTable(id) {
  return request({
    url: '/course/table/' + id,
    method: 'get'
  })
}

// 新增课程
export function addTable(data) {
  return request({
    url: '/course/table',
    method: 'post',
    data: data
  })
}

// 修改课程
export function updateTable(data) {
  return request({
    url: '/course/table/put',
    method: 'post',
    data: data
  })
}

// 删除课程
export function delTable(query) {
  return request({
    url: '/course/table/delete/classId',
    method: 'get',
    params: query
  })
}
